﻿/*


--- 01 TYPOGRAPHY SYSTEM


-Font size(px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98


- Font weights:
Default: 400
Medium: 500
Semi-bold: 600
Bold:700


- Line heights:
Default: 1
Small: 1.05
Medium: 1.2
Large: 1.8
Paragraph default: 1.6


- Letter spacing
-0.5px
0.75px


    
-Spacing(px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128


- Color
#2f9e44


Tint
#37b24d
#ebfbee
#d3f9d8


Shade
#2b8a3e


--- 06 BORDER-RADIUS


Default: 9px;
Medium: 11px;


*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  font-family: "Rubik", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;
  overflow-x: hidden;
}

/* 
/////////////////////
HEADER + TEXT LOGO 
///////////////////*/

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #ebfbee;
  height: 9.6rem;
  padding: 0 4.8rem;
  position: relative;
}

.text-logo {
  font-size: 4.4rem;
  font-weight: 400;
  letter-spacing: -0.5px;
  color: #555;
}

.text-logo-box {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.text-logo span {
  font-weight: 700;
  color: #2f9e44;
}

.established {
  font-weight: 500;
  font-size: 1.4rem;
}

/* /////////////////////////////
  NAVIGATION
  /////////////////////////// */

.main-nav {
  z-index:999;
}

.main-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6.4rem;
  list-style: none;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  text-decoration: none;
  font-size: 1.6rem;
  font-weight: 500;
  color: #555;
  transition: all 0.5s;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: #2f9e44;
}

.main-nav-link.nav-cta {
  padding: 1.2rem 2.4rem;
  color: #333;
  background-color: #37b24d;
  border-radius: 0.9rem;
}

.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  background-color: #2b8a3e;
}

/* //////////////////////////
   MOBILE NAV
   /////////////////////// */
.mobile-nav-btn {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}

.mobile-nav-icon {
  height: 4.8rem;
  width: 4.8rem;
  color: #333;
}

/* ////////////////////////////////
/////////////Sticky///////////// */
/* ////////////////////////////// */

/* The below will be applied to the header when sticky is in a parent */
.sticky .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: #fff;
  z-index: 999;
  background-color: rgba(255, 255, 255, 0.961);
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}

.sticky .section-hero {
  margin-top: 9.6rem;
}

.mobile-nav-icon[name="close-outline"] {
  display: none;
}
/* ////////////////////////////
  HERO
  ////////////////////////// */

.section-hero {
  padding: 4.8rem 0 9.6rem 0;
  background-color: #ebfbee;
  margin-bottom: 8rem;
}

.hero {
  max-width: 96rem;
  margin: 0 auto;
  /* padding: 0 3.2rem; */
  display: grid;
  grid-template-columns: 50fr 50fr;
  gap: 8rem;
}

.hero-text-box {
  align-self: center;
}

.hero-description {
  font-size: 2.4rem;
  line-height: 1.6;
  margin-top: 2.4rem;
  margin-bottom: 6.4rem;
}

.hero-img {
  width: 100%;
  border-radius: 1.2rem;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
}

.usp-text-box {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.2rem;
  font-size: 2.4rem;
  font-weight: 500;
  /* text-align: center; */
}

/* ////////////////////
   SERVICES
   ///////////////// */

.services {
  margin-bottom: 9.6rem;
  max-width: 130rem;
  margin: 0 auto;
}

.services-card {
  position: relative;
  overflow: hidden;
  width: 45rem;
  height: 100%;
  padding: 3.2rem;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  transition: all 0.4s;
}

.services-card:hover {
  transform: translateY(-1.2rem);
  box-shadow: 0 3.4rem 5.3rem rgba(0, 0, 0, 0.075);
}

.services-card-title {
  font-size: 3.6rem;
  font-weight: 500;
  margin-bottom: 1.6rem;
}

.services-text-list {
  list-style: none;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1.6rem;
}

.services-card-text-item {
  display: flex;
  justify-items: center;
  gap: 1.2rem;
  font-size: 2.4rem;
}

.services-card--repairs::after {
  content: "No call out charge";
  position: absolute;
  top: 4.6rem;
  right: -7.4rem;

  text-transform: uppercase;
  font-size: 1rem;
  font-weight: 700;
  color: #fff;
  background-color: #2b8a3e;
  padding: 0.8rem 8rem;
  transform: rotate(45deg);
}

.areas-covered {
  align-self: flex-start;
  margin-left: 3.6rem;
  width: 45rem;
}

/* /////////////////////
   TESTIMONAL
   ////////////////// */

.section-testimonial {
  background-color: #ebfbee;
  display: grid;
  grid-template-columns: 50fr 50fr;
  align-items: center;

  padding: 4.8rem 0 12.8rem;
}

.testimonial-container {
  padding: 9.6rem;
}

.testimonial-sub-heading {
  font-size: 5.2rem;
  font-weight: 400;
  line-height: 1.05;
  color: #333;
  letter-spacing: -0.5;
  margin-top: -5.6rem;
  margin-bottom: 3.6rem;
}

.testimonials {
  display: grid;
  grid-template-columns: 50fr 50fr;
  row-gap: 4.8rem;
  column-gap: 8rem;
}

.testimonial-text {
  font-size: 1.8rem;
  line-height: 1.2;
  margin-bottom: 1.2rem;
}

.testimonial-name {
  font-size: 1.6rem;
  color: #6f6f6f;
}

.testimonial-icon {
  width: 3rem;
  height: 3rem;
  margin-bottom: 5px;
}

.testimonial-img {
  color: #2b8a3e;
  width: 100%;
}

/* ////////////////////
   FOOTER
   ///////////////// */

.footer {
  padding: 12.8rem 0;
  border-top: 1px solid #555;
}

.grid-footer {
  display: grid;
  grid-template-columns: 50fr 50fr 25fr;
  gap: 3.6rem;
}

.textlogo,
.text-logo-footer {
  font-size: 2.4rem;
}

.logo-col {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 1.2rem;
}

.yell-logo {
  height: 6.2rem;
}

.copyright {
  font-size: 1.4rem;
  line-height: 1.6;
  color: #767676;
  margin-top: auto;
}

.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 4rem;
}

.contacts {
  font-style: normal;
  line-height: 1.6;
  font-size: 1.4rem;
}

.address {
  margin-bottom: 2.4rem;
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.4rem;
  color: #555;
  transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
  color: #333;
}

/* /////////////////
   GENERAL
   ////////////// */

.heading-primary {
  font-size: 5.2rem;
  font-weight: 700;
  color: #333;
  margin-bottom: 1.2rem;
  letter-spacing: -0.8;
  line-height: 1.05;
}

.heading-secondary {
  font-size: 2.4rem;
  font-weight: 500;
  color: #2b8a3e;
  text-transform: capitalize;
  margin-bottom: 6.4rem;
}

.container {
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid-3-cols {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 3.2rem;
  justify-items: center;
  align-items: center;
}

.icon {
  color: #2f9e44;
}

.icon-invert {
  color: #fff;
}

.studiobox-logo {
  width: 35%;
}

section:not(:last-child) {
  margin-bottom: 9.6rem;
}
